<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'realestate',

    /*
     * Package.
     */
    'package'   => 'plan',

    /*
     * Modules.
     */
    'modules'   => ['subscription_usage', 
'subscription', 
'feature', 
'plan'],

    'subscription_usage'       => [
        'model' => [
            'model'                 => \Realestate\Plan\Models\SubscriptionUsage::class,
            'table'                 => 'subscription_usages',
            'presenter'             => \Realestate\Plan\Repositories\Presenter\SubscriptionUsagePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'subscription_id',  'code',  'valid_until',  'used',  'field_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'plan/subscription_usage',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Plan',
            'module'    => 'SubscriptionUsage',
        ],

    ],

    'subscription'       => [
        'model' => [
            'model'                 => \Realestate\Plan\Models\Subscription::class,
            'table'                 => 'subscriptions',
            'presenter'             => \Realestate\Plan\Repositories\Presenter\SubscriptionPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'subscribable_id',  'subscribable_type',  'plan_id',  'name',  'trial_ends_at',  'starts_at',  'ends_at',  'canceled_at',  'payment_mode',  'transaction_no',  'bank',  'branch',  'amount',  'date',  'payment_gateway_name',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'plan/subscription',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Plan',
            'module'    => 'Subscription',
        ],

    ],

    'feature'       => [
        'model' => [
            'model'                 => \Realestate\Plan\Models\Feature::class,
            'table'                 => 'features',
            'presenter'             => \Realestate\Plan\Repositories\Presenter\FeaturePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'plan_id',  'code',  'value',  'sort_order',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'plan/feature',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Plan',
            'module'    => 'Feature',
        ],

    ],

    'plan'       => [
        'model' => [
            'model'                 => \Realestate\Plan\Models\Plan::class,
            'table'                 => 'plans',
            'presenter'             => \Realestate\Plan\Repositories\Presenter\PlanPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'slug',  'name',  'sort_order',  'price',  'interval',  'interval_count',  'trial_period_days',  'status',  'description',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'plan/plan',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Plan',
            'module'    => 'Plan',
        ],

    ],
];
