<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePlansTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: plans
         */
        Schema::create('plans', function ($table) {
            $table->increments('id');
            $table->string('slug', 255)->nullable();
            $table->string('name', 100)->nullable();
            $table->integer('sort_order')->nullable();
            $table->integer('price')->nullable();
            $table->string('interval', 100)->nullable();
            $table->integer('interval_count')->nullable();
            $table->integer('trial_period_days')->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->text('description')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('plans');
    }
}
