<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSubscriptionUsagesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: subscription_usages
         */
        Schema::create('subscription_usages', function ($table) {
            $table->increments('id');
            $table->integer('subscription_id')->nullable();
            $table->string('code', 100)->nullable();
            $table->date('valid_until')->nullable();
            $table->string('used', 255)->nullable();
            $table->enum('field_type', [ON ])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('subscription_usages');
    }
}
