<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSubscriptionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: subscriptions
         */
        Schema::create('subscriptions', function ($table) {
            $table->increments('id');
            $table->integer('subscribable_id')->nullable();
            $table->string('subscribable_type', 100)->nullable();
            $table->integer('plan_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->date('trial_ends_at')->nullable();
            $table->date('starts_at')->nullable();
            $table->date('ends_at')->nullable();
            $table->date('canceled_at')->nullable();
            $table->enum('payment_mode', ['online','offline'])->nullable();
            $table->integer('transaction_no')->nullable();
            $table->string('bank', 255)->nullable();
            $table->string('branch', 255)->nullable();
            $table->double('amount', 10,2)->nullable();
            $table->date('date')->nullable();
            $table->string('payment_gateway_name', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('subscriptions');
    }
}
