<?php

// API routes  for subscription_usage
Route::prefix('{guard}/plan')->group(function () {
    Route::get('subscription_usage/form/{element}', 'SubscriptionUsageAPIController@form');
    Route::resource('subscription_usage', 'SubscriptionUsageAPIController');
});

// Public routes for subscription_usage
Route::get('plans/', 'SubscriptionUsagePublicController@index');
Route::get('plans/{slug?}', 'SubscriptionUsagePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for plans
            Route::prefix('{guard}/plan')->group(function () {
                Route::get('subscription_usage/form/{element}', 'SubscriptionUsageAPIController@form');
                Route::apiResource('subscription_usage', 'SubscriptionUsageAPIController');
            });
            // Public routes for plans
            Route::get('plan/SubscriptionUsage', 'SubscriptionUsagePublicController@getSubscriptionUsage');
        }
    );
}


// API routes  for subscription
Route::prefix('{guard}/plan')->group(function () {
    Route::get('subscription/form/{element}', 'SubscriptionAPIController@form');
    Route::resource('subscription', 'SubscriptionAPIController');
});

// Public routes for subscription
Route::get('plans/', 'SubscriptionPublicController@index');
Route::get('plans/{slug?}', 'SubscriptionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for plans
            Route::prefix('{guard}/plan')->group(function () {
                Route::get('subscription/form/{element}', 'SubscriptionAPIController@form');
                Route::apiResource('subscription', 'SubscriptionAPIController');
            });
            // Public routes for plans
            Route::get('plan/Subscription', 'SubscriptionPublicController@getSubscription');
        }
    );
}


// API routes  for feature
Route::prefix('{guard}/plan')->group(function () {
    Route::get('feature/form/{element}', 'FeatureAPIController@form');
    Route::resource('feature', 'FeatureAPIController');
});

// Public routes for feature
Route::get('plans/', 'FeaturePublicController@index');
Route::get('plans/{slug?}', 'FeaturePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for plans
            Route::prefix('{guard}/plan')->group(function () {
                Route::get('feature/form/{element}', 'FeatureAPIController@form');
                Route::apiResource('feature', 'FeatureAPIController');
            });
            // Public routes for plans
            Route::get('plan/Feature', 'FeaturePublicController@getFeature');
        }
    );
}


// API routes  for plan
Route::prefix('{guard}/plan')->group(function () {
    Route::get('plan/form/{element}', 'PlanAPIController@form');
    Route::resource('plan', 'PlanAPIController');
});

// Public routes for plan
Route::get('plans/', 'PlanPublicController@index');
Route::get('plans/{slug?}', 'PlanPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for plans
            Route::prefix('{guard}/plan')->group(function () {
                Route::get('plan/form/{element}', 'PlanAPIController@form');
                Route::apiResource('plan', 'PlanAPIController');
            });
            // Public routes for plans
            Route::get('plan/Plan', 'PlanPublicController@getPlan');
        }
    );
}

