<?php

namespace Realestate\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FeatureTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Plan\Models\Feature $feature)
    {
        return [
            'id'                => $feature->getRouteKey(),
            'key'               => [
                'public'    => $feature->getPublicKey(),
                'route'     => $feature->getRouteKey(),
            ], 
            'plan_id'           => $feature->plan_id,
            'code'              => $feature->code,
            'value'             => $feature->value,
            'sort_order'        => $feature->sort_order,
            'deleted_at'        => $feature->deleted_at,
            'url'               => [
                'public'    => trans_url('plan/'.$feature->getPublicKey()),
                'user'      => guard_url('plan/feature/'.$feature->getRouteKey()),
            ], 
            'status'            => trans('app.'.$feature->status),
            'created_at'        => format_date($feature->created_at),
            'updated_at'        => format_date($feature->updated_at),
        ];
    }
}