<?php

namespace Realestate\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubscriptionTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Plan\Models\Subscription $subscription)
    {
        return [
            'id'                => $subscription->getRouteKey(),
            'key'               => [
                'public'    => $subscription->getPublicKey(),
                'route'     => $subscription->getRouteKey(),
            ], 
            'subscribable_id'   => $subscription->subscribable_id,
            'subscribable_type' => $subscription->subscribable_type,
            'plan_id'           => $subscription->plan_id,
            'name'              => $subscription->name,
            'trial_ends_at'     => $subscription->trial_ends_at,
            'starts_at'         => $subscription->starts_at,
            'ends_at'           => $subscription->ends_at,
            'canceled_at'       => $subscription->canceled_at,
            'payment_mode'      => $subscription->payment_mode,
            'transaction_no'    => $subscription->transaction_no,
            'bank'              => $subscription->bank,
            'branch'            => $subscription->branch,
            'amount'            => $subscription->amount,
            'date'              => $subscription->date,
            'payment_gateway_name' => $subscription->payment_gateway_name,
            'deleted_at'        => $subscription->deleted_at,
            'url'               => [
                'public'    => trans_url('plan/'.$subscription->getPublicKey()),
                'user'      => guard_url('plan/subscription/'.$subscription->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subscription->status),
            'created_at'        => format_date($subscription->created_at),
            'updated_at'        => format_date($subscription->updated_at),
        ];
    }
}