<?php

namespace Realestate\Plan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SubscriptionUsageTransformer extends TransformerAbstract
{
    public function transform(\Realestate\Plan\Models\SubscriptionUsage $subscription_usage)
    {
        return [
            'id'                => $subscription_usage->getRouteKey(),
            'key'               => [
                'public'    => $subscription_usage->getPublicKey(),
                'route'     => $subscription_usage->getRouteKey(),
            ], 
            'subscription_id'   => $subscription_usage->subscription_id,
            'code'              => $subscription_usage->code,
            'valid_until'       => $subscription_usage->valid_until,
            'used'              => $subscription_usage->used,
            'field_type'        => $subscription_usage->field_type,
            'deleted_at'        => $subscription_usage->deleted_at,
            'url'               => [
                'public'    => trans_url('plan/'.$subscription_usage->getPublicKey()),
                'user'      => guard_url('plan/subscription_usage/'.$subscription_usage->getRouteKey()),
            ], 
            'status'            => trans('app.'.$subscription_usage->status),
            'created_at'        => format_date($subscription_usage->created_at),
            'updated_at'        => format_date($subscription_usage->updated_at),
        ];
    }
}